Subject: Re: ds/sparse-checkout-requires-per-worktree-config (Was: Re: What's cooking in git.git (Feb 2022, #04; Tue, 15))

From: Derrick Stolee <[email-masked]>
Date: Wed, 16 Feb 2022 08:54:05 -0500

On 2/16/2022 12:06 AM, Elijah Newren wrote:
> On Tue, Feb 15, 2022 at 12:01 PM Junio C Hamano <[email-masked]> wrote:
>>
>> * ds/sparse-checkout-requires-per-worktree-config (2022-02-08) 6 commits
>>  - config: make git_configset_get_string_tmp() private
>>  - worktree: copy sparse-checkout patterns and config on add
>>  - sparse-checkout: set worktree-config correctly
>>  - config: add repo_config_set_worktree_gently()
>>  - worktree: create init_worktree_config()
>>  - Documentation: add extensions.worktreeConfig details
>>
>>  "git sparse-checkout" wants to work with per-worktree configration,
>>  but did not work well in a worktree attached to a bare repository.
>>
>>  Will merge to 'next'?
>>  cf. <[email-masked]>
>>  cf. <[email-masked]>
>>  source: <[email-masked]>
> 
> With v6, Eric seems to also be happy with the series (cf.
> <[email-masked]>).
> So, I think it's ready to merge down.

I agree. Thanks for the close looks at this.

I think I will send a forward fix that attempts to clear up
the "worktree" versus "working tree" changes across all of
git-worktree.txt and related docs, now that Eric corrected my
interpretation of his comments [1].

Thanks,
-Stolee

[1] https://lore.kernel.org/git/CAPig+cR+n=[email-masked]/